<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <NoWarn>1701;1702;1591;1573;1572;1570</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Quickstart\**" />
    <Compile Remove="Views\**" />
    <Content Remove="Quickstart\**" />
    <Content Remove="Views\**" />
    <EmbeddedResource Remove="Quickstart\**" />
    <EmbeddedResource Remove="Views\**" />
    <None Remove="Quickstart\**" />
    <None Remove="Views\**" />
  </ItemGroup>
  
  <ItemGroup>
    <PackageReference Include="IdentityServer4" Version="4.1.2" />
    <PackageReference Include="Serilog.AspNetCore" Version="3.1.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="3.1.1" />
  </ItemGroup>
  
  <ItemGroup>
    <ProjectReference Include="..\Infrastructure\Infrastructure.csproj" />
    <ProjectReference Include="..\OpenAuth.App\OpenAuth.App.csproj" />
    <ProjectReference Include="..\OpenAuth.Repository\OpenAuth.Repository.csproj" />
  </ItemGroup>
</Project>
